package cn.ninegame.genericframework.basic;

/**
 * ****************************************************************************
 * Copyright @ 2009 - 2015 www.9game.cn All Rights Reserved
 * <p/>
 * Creation    : 2016-03-11
 * Author      : lihq@ucweb.com
 * Description : Tell me what does this class do
 * ****************************************************************************
 */
public class CacheManager implements ICacheDelegate {

    ICacheDelegate mDelegate;

    public void setCacheManagerDelegate(ICacheDelegate delegate){
        mDelegate = delegate;
    }

    @Override
    public void cleanCache(OnCacheCleanListener listener) {
        if(mDelegate != null){
            mDelegate.cleanCache(listener);
        }
    }
}
